
struct vidbases
{
   unsigned short vendor, device;
   char * name;
   uint badr;
};

static struct vidbases vbs[] = {
   { PCI_VENDOR_ID_TSENG,      0,                          "TSENG",                   PCI_BASE_ADDRESS_0},    { PCI_VENDOR_ID_MATROX,     PCI_DEVICE_ID_MATROX_MIL,   "Matrox Millennium",       PCI_BASE_ADDRESS_1},
   { PCI_VENDOR_ID_MATROX,     0x051a,                     "Matrox Mystique",         PCI_BASE_ADDRESS_1},
   { PCI_VENDOR_ID_MATROX,     0x0521,                     "Matrox Millenium G200",         PCI_BASE_ADDRESS_0},
   { PCI_VENDOR_ID_S3,         0,                          "S3",                      PCI_BASE_ADDRESS_0},
   { PCI_VENDOR_ID_ATI,        PCI_DEVICE_ID_ATI_210888GX, "ATI MACH64 Winturbo",     PCI_BASE_ADDRESS_0},
   { PCI_VENDOR_ID_ATI,        PCI_DEVICE_ID_ATI_215GTB,   "ATI MACH64 RageII+",      PCI_BASE_ADDRESS_0},
   { PCI_VENDOR_ID_CIRRUS,     0,                          "Cirrus Logic",            PCI_BASE_ADDRESS_0},
   { PCI_VENDOR_ID_N9,         PCI_DEVICE_ID_N9_I128,      "Number Nine Imagine 128", PCI_BASE_ADDRESS_0},
   { PCI_VENDOR_ID_DEC,        PCI_DEVICE_ID_DEC_TGA,      "DEC DC21030",             PCI_BASE_ADDRESS_0},
   { PCI_VENDOR_ID_NVIDIA_SGS, PCI_DEVICE_ID_NVIDIA_SGS_RIVA128, "Riva128",           PCI_BASE_ADDRESS_1},
   { PCI_VENDOR_ID_NVIDIA,    0x28, "Riva TNT2", PCI_BASE_ADDRESS_1}
};


/* DEC TGA offsets stolen from XFree-3.2 */

static uint dec_offsets[4] = {
   0x200000,
   0x804000,
   0,
   0x1004000
};

#define NR_CARDS (sizeof(vbs) / sizeof(struct vidbases))
